shishi_tgs_process(3)

NAME
shishi_tgs_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_tgs_process(Shishi * handle, Shishi_asn1 tgsreq, Shishi_asn1 tgsrep, Shishi_asn1 authenticator, Shishi_asn1 oldenckdcreppart, Shishi_asn1 * enckdcreppart);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 tgsreq
    input variable that holds the sent KDC-REQ.

Shishi_asn1 tgsrep
    input variable that holds the received KDC-REP.

Shishi_asn1 authenticator
    input variable with Authenticator from AP-REQ in KDC-REQ.

Shishi_asn1 oldenckdcreppart
    input variable with EncKDCRepPart used in request.

Shishi_asn1 * enckdcreppart
    output variable that holds new EncKDCRepPart.

DESCRIPTION
Process a TGS client exchange and output decrypted EncKDCRepPart which holds details for the new ticket received. This function simply derives the encryption key from the ticket used to construct the TGS request and calls shishi_kdc_process(), which see.

RETURN VALUE
Returns SHISHI_OK iff the TGS client exchange was successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.